Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Files

Create File Upload URL

POST
/v1/files/upload_url

Creates a new file Upload URL.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

purpose*string

Purpose value for this resource.

Match^[a-z][a-z0-9_]*$
Length1 <= length <= 100
filename?string

Filename value for this resource.

Length1 <= length <= 1024
size*integer

Exact size of the upload body in bytes

Range0 < value <= 9007199254740991

Response Body

application/json

curl -X POST "https://api.getmateo.com/v1/files/upload_url" \  -H "Content-Type: application/json" \  -d '{    "purpose": "string",    "size": 9007199254740991  }'
{  "file_id": "8a0cfb4f-ddc9-436d-91bb-75133c583767",  "purpose": "string",  "url": "http://example.com",  "expires_at": "2019-08-24T14:15:22Z"}